Name:           omniORBpy
Version:        4.3.0
Release:    1%{?dist}
Summary:        CORBA ORB for Python

License:        LGPLv2+
URL:            http://omniorb.sourceforge.net/
Source0:        http://sourceforge.net/projects/omniorb/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2

Patch0:         omniORBpy_char.patch
Patch1:         omniORBpy_py312.patch

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  omniORB-devel
BuildRequires:  python3-devel
BuildRequires:  openssl-devel

%description
omniORBpy is a robust high-performance CORBA ORB for Python.


%package -n python3-omniORB
Summary:        CORBA ORB for Python 3
Requires:       omniORB
%{?python_provide:%python_provide python3-omniORB}

%description -n python3-omniORB
Robust high-performance CORBA ORB for Python 3.


%package -n omniORBpy-devel
Summary:        C++ API for the CORBA ORB for Python
Requires:       omniORB-devel
BuildArch:      noarch

%description -n omniORBpy-devel
C++ API for the CORBA ORB for Python.


%prep
%autosetup -p1


%build
%global _configure ../configure

mkdir build_py3
pushd build_py3
export PYTHON=%{__python3}
%configure --with-omniorb=%{_prefix} --with-openssl=%{_prefix}
%make_build
popd


%install
%make_install -C build_py3

rm -f %{buildroot}%{python2_sitelib}/CORBA.py*
rm -f %{buildroot}%{python2_sitelib}/PortableServer.py*
rm -f %{buildroot}%{python3_sitelib}/CORBA.py*
rm -f %{buildroot}%{python3_sitelib}/PortableServer.py*

chmod +x %{buildroot}%{python3_sitearch}/*.so.*

find %{buildroot}%{python3_sitelib} -type d -exec chmod 755 {} \;


%files -n python3-omniORB
%doc README.Python README.txt ReleaseNotes.txt update.log
%license COPYING.LIB
%{python3_sitelib}/CosNaming*
%{python3_sitelib}/PortableServer__POA.py*
%{python3_sitelib}/omniORB.pth
%{python3_sitelib}/omniORB/
%{python3_sitelib}/__pycache__/*
%{python3_sitearch}/*_omni*.so*

%files -n omniORBpy-devel
%license COPYING.LIB
%{_includedir}/omniORB4/*
%{_includedir}/omniORBpy.h
%exclude %{python3_sitelib}/omniidl_be/__init__.py
%exclude %{python3_sitelib}/omniidl_be/__pycache__/__init__.*
%{python3_sitelib}/omniidl_be/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-1
- initial build
